Name:          libortp
Version:       0.23.0
Release:       1mamba
Summary:       A Real-time Transport Protocol (RTP,RFC3550) library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.linphone.org/index.php/eng/code_review/ortp
Source:        http://download.savannah.gnu.org/releases/linphone/ortp/ortp-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ortp is a Real-time Transport Protocol (RTP,RFC3550) library.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
ortp is a Real-time Transport Protocol (RTP,RFC3550) library.
This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation

%description apidocs
%{name} API documentation.

%prep
%setup -q -n ortp-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libortp.so.*
%doc AUTHORS COPYING ChangeLog NEWS README TODO

%files devel
%defattr(-,root,root)
%{_includedir}/ortp
%{_libdir}/libortp.*a
%{_libdir}/libortp.so
%{_libdir}/pkgconfig/ortp.pc

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/doc/ortp-%{version}
%{_datadir}/doc/ortp-%{version}/*

%changelog
* Sat Mar 08 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23.0-1mamba
- update to 0.23.0

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20.0-1mamba
- update to 0.20.0

* Fri Jun 17 2011 Automatic Build System <autodist@mambasoft.it> 0.16.5-1mamba
- automatic update by autodist

* Thu Jul 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-2mamba
- rebuilt to add pkgconfig provides

* Mon Jun 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.3-1mamba
- update to 0.16.3

* Wed May 05 2010 Automatic Build System <autodist@mambasoft.it> 0.16.1-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic update by autodist

* Fri Feb 13 2009 Davide Madrisan <davide.madrisan@gmail.com> 0.15.0-1mamba
- package created by autospec
